## vala-0.14 0.14.0

=== debian/changelog ===
vala-0.14 (0.14.0-0ubuntu1) oneiric; urgency=low

  * New upstream release:
    - Bug fixes and binding updates.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 18 Sep 2011 15:10:09 +0200

vala-0.14 (0.13.4-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Rodrigo Moya <rodrigo.moya@canonical.com>  Thu, 08 Sep 2011 12:29:56 +0200

vala-0.14 (0.13.3-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Rodrigo Moya <rodrigo.moya@canonical.com>  Mon, 29 Aug 2011 17:58:35 +0200

vala-0.14 (0.13.1-0ubuntu6) oneiric; urgency=low

  * Restore valac build dependency on all architectures and drop valac-0.12 
    since all architectures are properly bootstrapped
    - update debian/control 

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 07 Aug 2011 21:10:32 -0500

vala-0.14 (0.13.1-0ubuntu5) oneiric; urgency=low

  * Add back valac for !powerpc since they're bootstrapped; Change valac-0.12 
    to powerpc only since the buildds are behind
    - update debian/control 

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 07 Aug 2011 16:13:17 -0500

vala-0.14 (0.13.1-0ubuntu4) oneiric; urgency=low

  * Temporarily remove valac build-dep so armel/powerpc can actually bootstrap
    - update debian/control

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 07 Aug 2011 12:34:42 -0500

vala-0.14 (0.13.1-0ubuntu3) oneiric; urgency=low

  * debian/control: Temporarily add alternative "valac-0.12" build dependency,
    to give powerpc and armel a chance to bootstrap.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 07 Aug 2011 13:35:27 +0200

vala-0.14 (0.13.1-0ubuntu2) oneiric; urgency=low

  * debian/control: build-depends on libgirepository1.0-dev, it's needed for 
    the testsuit run

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 28 Jul 2011 12:28:44 +0200

vala-0.14 (0.13.1-0ubuntu1) oneiric; urgency=low

  * New upstream serie

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 22 Jul 2011 15:04:11 +0200

vala (0.12.1-0ubuntu1) oneric; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Sun, 05 Jun 2011 16:15:58 +1000

vala (0.12.0-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 04 Apr 2011 09:44:44 +1000

vala (0.11.7-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 17 Mar 2011 09:35:15 +1100

vala (0.11.6-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 15 Feb 2011 11:44:25 +1100

vala (0.11.5-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Ken VanDine <ken.vandine@canonical.com>  Sat, 22 Jan 2011 23:02:33 -0500

vala (0.11.4-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Michael Terry <mterry@ubuntu.com>  Tue, 18 Jan 2011 09:51:15 -0500

vala (0.11.3-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 06 Jan 2011 10:31:36 +1100

vala (0.11.2-0ubuntu2) natty; urgency=low

  * Re-upload with merged changes from 0.11.1-0ubuntu2

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 10 Nov 2010 14:42:53 +1100

vala (0.11.2-0ubuntu1) natty; urgency=low

  * New upstream release (LP: #673166)
  * debian/control
    - bump standard version to 3.9.1

 -- Rico Tzschichholz <ricotz@t-online.de>  Tue, 09 Nov 2010 20:07:00 +0100

vala (0.11.1-0ubuntu2) natty; urgency=low

  * debian/control
    - provide libvala-dev with libvala-0.12-dev (LP: #671104)

 -- Rico Tzschichholz <ricotz@t-online.de>  Thu, 04 Nov 2010 19:49:11 +0100

vala (0.11.1-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/patches/90_revert_use_new_gir_version.patch:
    - Dropped, we can use the latest gir version now
  * debian/control:
    - Remove obsolete conflicts/replaces/provides
  * Update package names from 0.10 to 0.12

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 02 Nov 2010 14:43:55 +1100

vala (0.10.0-0ubuntu3) maverick; urgency=low

  * Fix LP: #651244 - fully revert the changes for the new GIR
    - update debian/patches/90_revert_use_new_gir_version.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 29 Sep 2010 18:21:39 +0100

vala (0.10.0-0ubuntu2) maverick; urgency=low

  * debian/control: Let libvala-0.10-dev Provides: libvala-dev, to avoid
    breaking build dependencies from Debian packages.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 27 Sep 2010 12:29:59 +0200

vala (0.10.0-0ubuntu1) maverick; urgency=low

  * New upstream release
  * debian/patches/90_revert_use_new_gir_version.patch:
    - don't build with new GIR

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 20 Sep 2010 19:57:26 +0200

vala (0.9.8-1ubuntu1) maverick; urgency=low

  * debian/control:
    - build-depends on valac
    - set vcs url
  * debian/patches/02_dont_sigabrt_on_unknown_instance.patch:
    - reapply the change to build unity

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 09 Sep 2010 15:22:34 +0200

vala (0.9.8-1) experimental; urgency=low

  * New upstream development release.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 05 Sep 2010 10:32:13 +0200

vala (0.9.7-2) experimental; urgency=low

  * debian/rules:
    + Don't act on the library package when stripping the valac package,
      otherwise the debug symbols of the library package are stripped
      now already and can't be put into the library debug package.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 24 Aug 2010 17:21:02 +0200

vala (0.9.7-1) experimental; urgency=low

  * New upstream development release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 19 Aug 2010 09:29:09 +0200

vala (0.9.6-1) experimental; urgency=low

  * New upstream development release:
    + debian/patches/01_vala-gen-introspect-script-suffix.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 18 Aug 2010 16:00:44 +0200

vala (0.9.5-2) experimental; urgency=low

  * debian/patches/01_vala-gen-introspect-script-suffix.patch:

