## vala-0.14 0.14.2

=== debian/changelog ===
vala-0.14 (0.14.2-2ubuntu2) trusty; urgency=low

  * Use dh-autoreconf for newer arches.

 -- Daniel T Chen <crimsun@ubuntu.com>  Wed, 15 Jan 2014 10:08:41 -0500

vala-0.14 (0.14.2-2ubuntu1) saucy; urgency=low

  * Merge with Debian testing. Remaining Ubuntu changes:
    - Add debian/patches/g_thread_init.patch: don't add calls to 
      g_thread_init() when generating code, it's not been required
      (deprecated) for a long while and is now undefined.
    - Don't install valac since 0.14 isn't our default valac
  * Dropped changes:
    - 02_dont_sigabrt_on_unknown_instance.patch:
      According to bgo:625401, this was fixed in 0.12 series and
      the main testcase was unity-place-files which builds with
      a newer vala anyway

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 10 Jun 2013 11:46:49 -0400

vala-0.14 (0.14.2-2) unstable; urgency=low

  * Make vala 0.14 the default

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 13 Mar 2012 21:40:52 +0100

vala-0.14 (0.14.2-1) unstable; urgency=low

  * Team upload.
  * Add me to uploaders.
  * New upstream release (Closes: #651707)
   - New bindings: libwnck-3.0, libnl-3.0, packagekit-glib2, xtst
   - Bug fixes and binding updates
   - /usr/share/aclocal/vala.m4 is no longer installed by libvala-0.14-dev
     to avoid file conflicts with parallel installations
  * Switch copyright format to DEP5
  * Update watch file to search for xz tarballs

 -- Sebastian Reichel <sre@debian.org>  Thu, 09 Feb 2012 01:01:25 +0100

vala-0.14 (0.14.0-1) unstable; urgency=low

  * New upstream release
  * Switch compression to xz
  * debian/control: Don't build a valac binary package, keep 0.12 the default
    for now

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 28 Sep 2011 20:11:06 +0100

vala-0.14 (0.13.4-1) experimental; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 16 Sep 2011 23:54:28 +0100

vala-0.14 (0.13.3-1) experimental; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 26 Aug 2011 18:28:31 +0100

vala-0.12 (0.12.1-2) unstable; urgency=low

  * debian/control,
    debian/valac-0.12.postinst:
    + Make valac 0.12 the default valac version now.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 24 Aug 2011 09:46:23 +0200

vala-0.12 (0.12.1-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
    - Fix detecting gunichar type as unichar. (Closes: #628281)
    - Add function bindings to deal with KeySym and KeyCode. (Closes: #619505)
    - Fix Display.display_string bindings. (Closes: #619503)
  * Refresh debian/patches/99_ltmain_as-needed.patch.
  * Bump (Build-)Depends on libglib2.0-dev to (>= 2.26) according to
    configure.ac.
  * Bump Standards-Version to 3.9.2. No further changes.
  * Switch to bzip2 tarballs.

 -- Michael Biebl <biebl@debian.org>  Thu, 23 Jun 2011 21:26:03 +0200

vala-0.12 (0.12.0-4) unstable; urgency=low

  * debian/rules:
    + Now really ignore testsuite failures on Hurd/kFreeBSD.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 20 Apr 2011 09:01:42 +0200

vala-0.12 (0.12.0-3) unstable; urgency=low

  * debian/rules:
    + Next try of fixing build failures on Hurd/kFreeBSD (Closes: #618642).

 -- Sebastian Dröge <slomo@debian.org>  Tue, 19 Apr 2011 08:42:42 +0200

vala-0.12 (0.12.0-2) unstable; urgency=low

  * debian/rules:
    + Do not make testsuite failures fatal on Hurd and kFreeBSD. The
      DBus tests are failing there because of something that looks
      like a bug in GDBus.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 10 Apr 2011 11:35:07 +0200

vala-0.12 (0.12.0-1) unstable; urgency=low

  * New upstream stable release.
  * Upload to unstable, keep vala 0.10 as the default valac for now.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 04 Apr 2011 07:39:49 +0200

vala-0.12 (0.11.7-1) experimental; urgency=low

  * New upstream release.
  * debian/rules:
    + Don't run the testsuite if DEB_BUILD_OPTIONS contains nocheck.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 16 Mar 2011 20:51:18 +0000

vala-0.12 (0.11.6-1) experimental; urgency=low

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 21 Feb 2011 10:34:56 +0000

vala-0.12 (0.11.5-2) experimental; urgency=low

  * debian/control:
    + Make the Conflicts/Replaces against vala-utils versioned.
    + Don't build the valac binary package for now so packages
      build depending on valac get the 0.10 version.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 25 Jan 2011 23:32:43 +0000

vala-0.12 (0.11.5-1) experimental; urgency=low

  * New upstream release. Closes: #606139.
    + Make parallel installable with vala (0.10).
  * debian/control.in:
    + Add myself to Uploaders.
  * debian/copyright:
    + Updated.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 23 Jan 2011 19:47:37 +0000

vala (0.10.3-0.1) experimental; urgency=low

  * Non-maintainer upload with Sebastian's consent.
  * New upstream stable release.
  * Bump Standards-Version to 3.9.1. No further changes.

 -- Michael Biebl <biebl@debian.org>  Sat, 22 Jan 2011 13:43:52 +0100

vala (0.10.1-1) experimental; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 28 Oct 2010 11:42:30 +0200

vala (0.10.0-1) experimental; urgency=low

  * New upstream stable release.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 18 Sep 2010 07:37:17 +0200
