=== debian/control ===
--- 
+++ 
@@ -5,12 +5,15 @@
 XSBC-Original-Maintainer: Maintainers of Vala packages <pkg-vala-maintainers@lists.alioth.debian.org>
 Uploaders: Marc-Andre Lureau <marcandre.lureau@gmail.com>,
            Loic Minier <lool@dooz.org>,
-           Sebastian Dröge <slomo@debian.org>
+           Sebastian Dröge <slomo@debian.org>,
+           Emilio Pozuelo Monfort <pochu@debian.org>,
+           Sjoerd Simons <sjoerd@debian.org>,
+           Sebastian Reichel <sre@debian.org>
 Build-Depends: debhelper (>= 7),
                quilt,
-               libglib2.0-dev (>= 2.25.11-3),
+               libglib2.0-dev (>= 2.26),
                bison (>= 2.3),
-               autotools-dev,
+               dh-autoreconf,
                flex,
                gnome-pkg-tools,
                xsltproc,
@@ -21,34 +24,39 @@
                lsb-release,
                libgirepository1.0-dev
 Standards-Version: 3.9.2
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/vala/ubuntu
+Vcs-Git: git://git.debian.org/git/pkg-vala/vala.git
+Vcs-Browser: http://git.debian.org/?p=pkg-vala/vala.git
 Homepage: http://live.gnome.org/Vala/
 
-Package: valac
-Architecture: all
-Depends: valac-0.14,
-         ${misc:Depends}
-Description: C# like language for the GObject system
- Vala is a new programming language that aims to bring modern programming
- language features to GNOME developers without imposing any additional
- runtime requirements and without using a different ABI compared to
- applications and libraries written in C.
- .
- valac, the Vala compiler, is a self-hosting compiler that translates
- Vala source code into C source and header files.  It uses the GObject
- type system to create classes and interfaces declared in the Vala
- source code. This package also contains the vala-gen-introspect and
- vapigen binaries that will automatically generate Vala bindings.
- .
- This package always depends on the currently supported version
- of valac but doesn't have any content by itself.
+#Package: valac
+#Architecture: all
+#Depends: valac-0.14,
+#         ${misc:Depends}
+#Description: C# like language for the GObject system
+# Vala is a new programming language that aims to bring modern programming
+# language features to GNOME developers without imposing any additional
+# runtime requirements and without using a different ABI compared to
+# applications and libraries written in C.
+# .
+# valac, the Vala compiler, is a self-hosting compiler that translates
+# Vala source code into C source and header files.  It uses the GObject
+# type system to create classes and interfaces declared in the Vala
+# source code. This package also contains the vala-gen-introspect and
+# vapigen binaries that will automatically generate Vala bindings.
+# .
+# This package always depends on the currently supported version
+# of valac but doesn't have any content by itself.
 
 Package: valac-0.14
 Architecture: any
 Depends: ${shlibs:Depends},
          libvala-0.14-0 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.25.11-3),
+         libglib2.0-dev (>= 2.26),
          ${misc:Depends}
+Conflicts: valac (<< 0.9.5),
+           vala-utils (<< 0.10)
+Replaces: vala-utils (<< 0.10)
+Provides: vala-utils
 Description: C# like language for the GObject system
  Vala is a new programming language that aims to bring modern programming
  language features to GNOME developers without imposing any additional
@@ -67,6 +75,7 @@
          ${misc:Depends}
 Suggests: valac,
           devhelp
+Provides: vala-doc
 Section: doc
 Description: C# like language for the GObject system - documentation
  Vala is a new programming language that aims to bring modern programming
@@ -95,7 +104,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libvala-0.14-0 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.25.11-3)
+         libglib2.0-dev (>= 2.26)
 Replaces: libvala-0.10-dev, libvala-0.12-dev
 Provides: libvala-dev
 Section: libdevel
